swift-object-info(1)

NAME

swift-object-info - OpenStack Swift object-info tool

SYNOPSIS

swift-object-info [OBJECT_FILE] [SWIFT_DIR]

DESCRIPTION

This is a very simple swift tool that allows a swiftop engineer to retrieve information about an object that is located on the storage node. One calls the tool with a given object file as it is stored on the storage node system. It will then return several information about that object such as;
- Account it belongs to
- Container
- Object hash
- Content Type
- timestamp
- Etag
- Content Length
- User Metadata
- Location on the ring

DOCUMENTATION

More documentation about OpenStack Swift can be found at http://swift.openstack.org/index.html

SEE ALSO
swift-account-info(1), swift-container-info(1), swift-get-nodes(1)